/* "Pause" for ms milliseconds. */
const sleep = async (ms) => {
  return new Promise(resolve => setTimeout(resolve, ms));
};

const onClick = async (event) => {
  let box = document.querySelector(".box");
  let [x, y] = [event.offsetX, event.offsetY];
  box.style.transform = `translate(${x}px, ${y}px)`;
  await sleep(5000);
  box.style.transform = "";
};


const main = () => {
  document.querySelector(".container").addEventListener("click", onClick);
};
main();

